import { MigrationInterface, QueryRunner, TableColumn } from "typeorm";

export class ProtocolAbsent1736072179716 implements MigrationInterface {
  name = "ProtocolAbsent1736072179716";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.addColumn(
      "protocol_presence",
      new TableColumn({
        name: "absent",
        type: "tinyint",
        default: "0",
        isNullable: false,
      })
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropColumn("protocol_presence", "absent");
  }
}
